Name: klines
Summary: Place 5 equal pieces together, but wait, there are 3 new ones
Group: Games/Boards 
URL: http://www.kde.org/applications/games/klines/
Version: 14.12.3
Release: %mkrel 3
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/unstable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel
Suggests: klines-handbook
Conflicts: kde-games-devel < 4.9.80
Conflicts: kde-games-core < 4.9.80
Obsoletes: kde-games-core < 4.9.80
Obsoletes: kde-games-%{name} <= 4.9.5
Conflicts: kde-games-%{name} <= 4.9.5

%description
KLines is a simple but highly addictive one player game.

The player has to move the colored balls around the game board, gathering them
into the lines of the same color by five. Once the line is complete it is
removed from the board, therefore freeing precious space. In the same time the
new balls keep arriving by three after each move, filling up the game board.

%files
%_kde_bindir/klines
%_kde_applicationsdir/klines.desktop
%_kde_appsdir/klines
%_kde_iconsdir/hicolor/*/apps/klines.png
%_kde_datadir/config.kcfg/klines.kcfg

#------------------------------------------------------------------------------

%package -n klines-handbook
Summary: klines handbook
Conflicts: klines < 4.7.1-2
Requires:  klines
BuildArch: noarch
Group: Documentation
%description -n klines-handbook
This package provides the klines handbook.

%files -n klines-handbook
%_kde_docdir/HTML/en/klines

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/klines.desktop

%changelog
* Wed Jul 22 2015 pp <pp> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
